# DO NOT DELETE: Beginning of Haskell dependencies
libraries/ghc-boot/dist-install/build/GHC/ForeignSrcLang.o : libraries/ghc-boot/GHC/ForeignSrcLang.hs
$(eval $(call hi-rule,libraries/ghc-boot/dist-install/build/GHC/ForeignSrcLang.hi  : %hi: %o  libraries/ghc-boot/GHC/ForeignSrcLang.hs))
libraries/ghc-boot/dist-install/build/GHC/ForeignSrcLang.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot/dist-install/build/GHC/ForeignSrcLang.o : libraries/ghc-boot-th/dist-install/build/GHC/ForeignSrcLang/Type.hi
libraries/ghc-boot/dist-install/build/GHC/ForeignSrcLang.o : libraries/binary/dist-install/build/Data/Binary.hi
libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.o : libraries/ghc-boot/GHC/LanguageExtensions.hs
$(eval $(call hi-rule,libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.hi  : %hi: %o  libraries/ghc-boot/GHC/LanguageExtensions.hs))
libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.o : libraries/ghc-boot-th/dist-install/build/GHC/LanguageExtensions/Type.hi
libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.o : libraries/binary/dist-install/build/Data/Binary.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/ghc-boot/GHC/PackageDb.hs
$(eval $(call hi-rule,libraries/ghc-boot/dist-install/build/GHC/PackageDb.hi  : %hi: %o  libraries/ghc-boot/GHC/PackageDb.hs))
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/directory/dist-install/build/System/Directory.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/GHC/IO/Handle/Lock.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/GHC/IO/Exception.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/System/IO/Error.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/System/IO.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/filepath/dist-install/build/System/FilePath.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/Control/Exception.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/binary/dist-install/build/Data/Binary/Get.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/binary/dist-install/build/Data/Binary/Put.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/binary/dist-install/build/Data/Binary.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/Data/Traversable.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy/Internal.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/bytestring/dist-install/build/Data/ByteString/Char8.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/ghc-boot/dist-install/build/GHC/PackageDb.o : libraries/base/dist-install/build/Data/Version.hi
libraries/ghc-boot/dist-install/build/GHC/Serialized.o : libraries/ghc-boot/GHC/Serialized.hs
$(eval $(call hi-rule,libraries/ghc-boot/dist-install/build/GHC/Serialized.hi  : %hi: %o  libraries/ghc-boot/GHC/Serialized.hs))
libraries/ghc-boot/dist-install/build/GHC/Serialized.o : libraries/base/dist-install/build/Prelude.hi
libraries/ghc-boot/dist-install/build/GHC/Serialized.o : libraries/base/dist-install/build/Data/Data.hi
libraries/ghc-boot/dist-install/build/GHC/Serialized.o : libraries/base/dist-install/build/Data/Word.hi
libraries/ghc-boot/dist-install/build/GHC/Serialized.o : libraries/base/dist-install/build/Data/Bits.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/ghc-boot_dist-install_depfile_haskell_EXISTS = YES
